%global pypi_name smartypants

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 2
Summary:        plug-in that easily translates ASCII punctuation characters into smart entities
Group:          Development/Python
License:        BSD
URL:            https://github.com/leohemsted/smartypants.py
Source0:        %url/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

%description
SmartyPants is a free web publishing plug-in for Movable
Type, Blosxom, and BBEdit that easily translates plain ASCII
punctuation characters into “smart” typographic punctuation HTML
entities.

%package -n     python3-%{pypi_name}
Summary:        plug-in that easily translates ASCII punctuation characters into smart entities
Group:          Development/Python
Requires:       python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
SmartyPants is a free web publishing plug-in for Movable
Type, Blosxom, and BBEdit that easily translates plain ASCII
punctuation characters into “smart” typographic punctuation HTML
entities.

%prep
%setup -n %{pypi_name}.py-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

for lib in $(find -type f -name '*.py'); do
 sed -i.python -e '1{\@^#!@d}' $lib
done
sed -i.python -e 's|#!/usr/bin/env python|#!/usr/bin/python3|' smartypants

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Jun 20 2022 TerryN <terryn94 at gmail.com>  2.0.1-2pclos2022
- rebuild for python 3.10

* Tue Jun 14 2022 tex - 2.0.1-1pclos2022
- new version
